POSTgetBlocksWithLimit

Returns a list of confirmed blocks starting at the given slot

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsoneOf[]required

It contains following items:

  1. Start slot (required)
  2. Limit (required)
  3. ConfigurationObject (optional)
params[0]integer (uint64)

The slot number.

Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

resultinteger (uint64)[]

An array of u64 integers listing confirmed blocks starting at start_slot for up to limit blocks, inclusive.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getBlocksWithLimit",
  "params": [
    338967300,
    10
  ],
  "[object Object]": null
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": [
    338967300,
    338967301,
    338967302,
    338967303,
    338967304,
    338967305,
    338967306,
    338967307,
    338967308,
    338967309,
    338967310
  ],
  "id": 1
}